### Encoding: latin1

### Name: driftmap
### Title: Interactive driftplot and map
### Aliases: driftmap
### Keywords: spatial

### ** Examples

# data on price indices of real estate in France
data(immob)
midiP <- readOGR(system.file("vectors/region.mif", package = "GeoXp")[1], "region")
cont_midiP<-spdf2list(midiP)$poly

driftmap(immob$longitude,immob$latitude,immob$prix.vente,
carte= cont_midiP, col=colors()[35:38] ,lty=c(3,4),cex.lab=0.7,
xlab="Prix de vente",nuage=TRUE,pch=c(1,3,5,7),listvar=immob,
listnomvar=names(immob))

# Data on conflicts in Africa
data(afcon)
africa <- readOGR(system.file("vectors/Africa.MIF", package = "GeoXp")[1], "Africa")
africa.contour<-spdf2list(africa)$poly
driftmap(afcon$x,afcon$y,afcon$totcon,interpol=TRUE,nuage=TRUE,
xlab="Number of conflicts", carte=africa.contour,pch=c(4,5,16,16))

# data meuse
data(meuse)
data(meuse.riv)
driftmap(meuse$x,meuse$y,meuse$copper,
nuage=TRUE,interpol=TRUE,xlab="Concentration de cuivre (en ppm)",
carte=meuse.riv)



