### Encoding: latin1

### Name: scattermap
### Title: Interactive scatterplot and map
### Aliases: scattermap
### Keywords: regression spatial multivariate

### ** Examples

# data on price indices of real estate in France
data(immob)
midiP <- readOGR(system.file("vectors/region.mif", package = "GeoXp")[1], "region")
cont_midiP<-spdf2list(midiP)$poly
scattermap(immob$longitude,immob$latitude,immob$prix.vente,
immob$prix.location,carte= cont_midiP,listvar=immob,
listnomvar=names(immob),pch=5,xlab="Prix de vente",ylab="Prix de location",
col="purple",quantiles=0.5)

# data baltimore
data(baltimore)
scattermap(baltimore$X,baltimore$Y,baltimore$PRICE,baltimore$SQFT,
listvar=baltimore, listnomvar=names(baltimore),xlab="SQFT",ylab="PRICE",
criteria=(baltimore$CITCOU==1),axes=TRUE,lablong="X",lablat="Y",
reg.line=TRUE)

# Data Eire
data(eire)
eire.contours<-polylist2list(eire.polys.utm)

scattermap(eire.coords.utm$V1,eire.coords.utm$V2,eire.df$ROADACC,
eire.df$OWNCONS, listvar=eire.df,listnomvar=names(eire.df),carte=eire.contours,
xlab="Routes",ylab="Taux de consomation",reg.line=TRUE,quantiles=0.95)



